class C {
}
class X {
	C f;
	X (C n) {
		this.f = n;
	}
	static public void main(String[] args) /*throws Exception*/ {
		X x = new X(new C());
		for (int i = 0; i < 2; i++) {
			x.f = new C();	
		} 
	}
}